%bcond_with bootstrap

Name:           mojo-parent
Version:        84
Release:        %mkrel 1
Group:          Development/Java
Summary:        Codehaus MOJO parent project pom file
License:        Apache-2.0
URL:            https://www.mojohaus.org/mojo-parent/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/codehaus/mojo/mojo-parent/%{version}/mojo-parent-%{version}-source-release.zip
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)
%endif

%description
Codehaus MOJO parent project pom file

%prep
%setup -q
# Not needed in Fedora.
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :spotless-maven-plugin
%pom_remove_dep :junit-bom

cp %SOURCE1 .

%build
%mvn_alias : org.codehaus.mojo:mojo
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE-2.0.txt


%changelog
* Thu Jun 20 2024 daviddavid <daviddavid> 84-1.mga10
+ Revision: 2075805
- Update to upstream version 84

* Thu May 23 2024 ns80 <ns80> 78-1.mga10
+ Revision: 2066399
- new version 78 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 67-2.mga9
+ Revision: 1871093
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 67-1.mga9
+ Revision: 1870802
- New version 67
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 daviddavid <daviddavid> 60-1.mga9
+ Revision: 1696785
- Update to version 60

* Tue Sep 08 2020 daviddavid <daviddavid> 50-3.mga8
+ Revision: 1623426
- Remove dependency on site-plugin and checkstyle-plugin

* Fri Feb 14 2020 umeabot <umeabot> 50-2.mga8
+ Revision: 1521764
- Mageia 8 Mass Rebuild

* Tue Jan 01 2019 kekepower <kekepower> 50-1.mga7
+ Revision: 1347796
- Update to version 50

* Thu Sep 20 2018 umeabot <umeabot> 40-2.mga7
+ Revision: 1279946
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 kekepower <kekepower> 40-1.mga7
+ Revision: 1217643
- Update to version 40
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 38-2.mga6
+ Revision: 977255
- First rebuild of the java stack
- sync package mojo-parent with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Jan 11 2015 pterjan <pterjan> 33-2.mga5
+ Revision: 809882
- Clean rebuild
- Fix group
- Sync with Fedora 21 (update to 33)

* Wed Oct 15 2014 umeabot <umeabot> 32-4.mga5
+ Revision: 744266
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 32-2.mga4
+ Revision: 529841
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 32-1.mga4
+ Revision: 453708
- New version

* Sat Jan 12 2013 umeabot <umeabot> 28-6.mga3
+ Revision: 360197
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 28-5.mga3
+ Revision: 324292
- Java Stack Mass Rebuild

* Thu Apr 28 2011 dmorgan <dmorgan> 28-4.mga1
+ Revision: 92941
- Rebuild after bootstrapping

* Wed Apr 27 2011 dmorgan <dmorgan> 28-3.mga1
+ Revision: 92167
- Rebuild after bootstrapping
- imported package mojo-parent


* Tue Mar  8 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 28-2
- Remove parent from pom.xml (no codehaus-parent in Fedora now)

* Mon Mar  7 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 28-1
- Update to latest upstream

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 24-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 16 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 24-5
- Add component-javadoc to R

* Thu Sep 16 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 24-4
- Add forgotten jpackage-utils BR

* Tue Sep 14 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 24-3
- Change to license used by upstream (ASL 2.0)

* Mon Sep  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 24-2
- Removed %%build section and BRs (not really needed)

* Mon Sep  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 24-1
- Initial version of the package

